
import { message } from "antd/lib/index";

//用户列表页
export default {

    invalidPlans: ({ getSelectedRowKeys, login, loadData, dispatch, clearSelectedRowKeys }) => {
        var ids = getSelectedRowKeys();
        if (!ids) {
            message.error("未选择任何行");
        } else {
            dispatch({
                type: 'app/getDataByPost',
                url: 'PM/PMProductPlan/InvalidPlan',
                payload: {Ids:ids},
                onlyData: false,
                onComplete: (re) => {
                    if (re && re.IsSuccessful ) {
                        message.success("执行成功");
                        clearSelectedRowKeys();
                        loadData();
                    }
                }
              })
        }
    },

}
